# %{ver}, %{rel} are provided my the Makefile
%define ver 4.1.0
%define rel 1
%define basedir /opt/lsb/test
%define topdir alsa-t2c

# %{version}, %{rel} are provided by the Makefile
Summary: LSB Alsa-T2C Test Suite
Vendor: ISPRAS 
Name: lsb-test-alsa-t2c
Version: %{ver}
Release: %{rel}
License: GPL
Group: Development/Tools
Source: %{name}-%{version}.src.tgz
# T2C_2_VER from the Makefile too
Source1: t2c-2.0.0_final.tar.bz2
URL: http://www.linuxfoundation.org/bzr/devel/t2c-alsa-tests
BuildRoot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb-tet3-lite >= 3.7
BuildRequires: lsb-tet3-lite-devel, lsb-build-cc

%description
The test suite for alsa created using the T2C 
("Template-to-C") framework.


#==================================================
%prep
%setup -q -a1

#==================================================
%build
# build T2C framework components first
CUR_DIR=`pwd`

# A temporary directory to install T2C to.
T2C_INSTALL_DIR=${CUR_DIR}/tmp-installed
mkdir ${T2C_INSTALL_DIR}

cd t2c-2.0.0_final
./configure --prefix ${T2C_INSTALL_DIR} CC=/opt/lsb/bin/lsbcc

# 'make install' arranges T2C stuff as needed in the temporary directory
# (templates, api libraries, headers, ...), so there is no need to do
# this manually
make && make install

export PATH=$PATH:${T2C_INSTALL_DIR}/bin
# T2C should now be ready to work

# now the tests
cd ..
# get rid of the t2c-2 source, blows up make and install later for the tests
rm -fr t2c-2.0.0_final

# now generate and configure
sh gen_files.sh c_tet
CC=lsbcc ./configure --prefix=%basedir
export TET_ROOT=/opt/lsb-tet3-lite/

# Build the tests
make 

#==================================================
%install

rm -rf ${RPM_BUILD_ROOT}

# Arrange the test binaries and other necessary files appropriately
make DESTDIR=${RPM_BUILD_ROOT} install

#=================================================
%pre

%post

#==================================================
%clean
if [ -z "${RPM_BUILD_ROOT}"  -a "${RPM_BUILD_ROOT}" != "/" ]; then 
    rm -rf ${RPM_BUILD_ROOT}
fi

#==================================================
%files
%defattr(0755,root,root)
%dir %basedir/%topdir
%basedir/%topdir/*

#==================================================
%changelog
* Wed Mar 10 2010 Stew Benedict <stewb@linux-foundation.org>
- initial package
